#pragma once

class FontGlyph;

class OpenGlFontTexture
{
public:
    OpenGlFontTexture(FontGlyph* glyph);

    unsigned int getHandle() const
    {
        return mHandle;
    }

    FontGlyph* getGlyph() const;

private:
    unsigned int mHandle{0};
    FontGlyph* mGlyph{nullptr};
};
